#include "ThreadIS1Controller.h"

ZZ_IS1ControlThread::ZZ_IS1ControlThread(QObject* parent /*= nullptr*/)
{

}

ZZ_IS1ControlThread::~ZZ_IS1ControlThread()
{
}

int ZZ_IS1ControlThread::StartTestAcquisition()
{
// 	m_bFlagIsCollecting = true;
// 	while (m_bFlagIsCollecting)
// 	{
// 		//QMutexLocker locker(&m_Mutex);
// 		QThread::msleep(1000);
// 		qDebug() << "ThreadIS1Controller busy";
// 	}
// 	qDebug() << "ThreadIS1Controller quit";

	qDebug() << "ThreadIS1Controller busy";
	QThread::msleep(1000);
	qDebug() << "ThreadIS1Controller quit";

	//m_pwcFinish->wakeAll();
	emit SignalAcqFinished(1,1);

	return 0;
}
